EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

ebook-polish [Optionen] Quelldatei [Ausgabedatei]

Bei Bücher perfektionieren dreht sich alles um den Feinschliff und die Perfektionierung des sorgfältig gestalteten Buches.

Perfektionieren verändert den Code im Buch nur minimal. Im Gegensatz zur Konvertierung findet hierbei keine Änderung von CSS-Struktur, Dateinamen, Schriftgrößen, Rändern usw. statt. Jede Aktion führt nur ein Mindestmaß an Korrekturen für den gewünschten Effekt aus

Dieses Werkzeug sollte als letzter Schritt bei der Erstellung Ihres eBooks eingesetzt werden.

"Bücher perfektionieren" funktioniert nur bei Büchern in den Formaten AZW3 oder EPUB.

Wann immer Sie Argumente mit Leerzeichen an ebook-polish weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

[OPTIONEN]

--compress-images, -i
    Komprimieren Sie verlustfrei die Bilder im Buch, um die Dateigröße zu reduzieren, ohne die Bildqualität zu beeinflussen.

--cover, -c
    Pfad zu einem Titelbild. Ändert das im eBook festgelegte Titelbild. Falls kein Titelbild vorhanden oder dieses nicht korrekt identifiziert ist, wird ein neues Titelbild eingefügt.

--embed-fonts, -e
    Alle Schriftarten einbetten, die im Dokument referenziert, aber bisher noch nicht eingebettet sind. Hierbei werden Schriftarten auf Ihrem System gesucht und im Dokument eingebettet, wenn sie gefunden werden. Bitte stellen Sie sicher, dass Sie über die richtige Lizenz für die Einbettung dieser Schriftarten verfügen.

--help, -h
    Diesen Hilfetext anzeigen und beenden.

--jacket, -j
    "Buchumschlag" als erste Seite des Buches einfügen, welche alle Metadaten des Buches wie Titel, Schlagwörter, Autoren, Serie, Kommentare usw. beinhaltet. Jeder bisherige Buchumschlag wird ersetzt.

--opf, -o
    Pfad zu einer OPF-Datei. Die Metadaten in dem Buch werden aus der OPF-Datei aktualisiert.

--remove-jacket
    Zuvor eingefügte Buchumschlagseite entfernen.

--remove-unused-css, -u
    Alle unbenutzten CSS-Regeln aus Stylesheets und <style>-Tags entfernen. Manche aus Produktionsvorlagen erstellte Bücher können zahlreiche zusätzliche CSS-Regeln besitzen, die keinem tatsächlichen Inhalt entsprechen. Diese zusätzlichen Regeln können Lesegeräte verlangsamen, die sämtliche Regeln analysieren müssen.

--smarten-punctuation, -p
    Gewöhnliche Gedankenstriche, Auslassungspunkte, Anführungszeichen, mehrere Bindestriche in Folge usw. in ihre typografisch korrekten Entsprechungen umwandeln. Beachten Sie, dass der Algorithmus manchmal zu falschen Ergebnissen führen kann, insbesondere dann, wenn einfache Anführungszeichen am Beginn von Kontraktionen verwendet werden.

--subset-fonts, -f
    Eine "Schrift reduzieren" heißt, eine eingebettete Schrift auf die Buchstaben zu reduzieren, welche im Buch tatsächlich verwendet werden. Diese Option vermindert die Größe der Schriftartendatei enorm (die Dateigröße zu halbieren ist fast immer möglich). Wenn ein Buch zum Beispiel eine spezielle Schrift für Überschriften benutzt, dann wird "Schrift reduzieren" nur die Buchstaben in die eingebettete Schrift übernehmen, die tatsächlich in den Überschriften verwendet werden. Genau so wird, wenn die Schrift auch kursive oder fette Buchstaben enthält, diese aber selten oder gar nicht verwendet werden, diese Schrift auf die wirklich benutzten Zeichen reduziert oder sogar komplett entfernt werden. Der einzige Nachteil von "Schrift reduzieren" ist, dass ein nachträglich hinzugefügter Text möglicherweise nicht ganz durch die reduzierte Schrift abgedeckt wird.

--upgrade-book, -U
    Interne Buchstrukturen upgraden, falls möglich. Wandelt beispielsweise EPUB-2-Bücher in EPUB-3-Bücher um.

--verbose
    Umfangreichere Ausgabe erzeugen. Nützlich für die Fehlerdiagnose.

--version
    Programmversion anzeigen und beenden

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal